JOIN(1)

BEZEICHNUNG
join - Zeilen von zwei Dateien über ein gemeinsames Feld verbinden

ÜBERSICHT
join [OPTION]... DATEI1 DATEI2

BESCHREIBUNG

Für jedes Eingabezeilenpaar mit identischen Verbindungsfeldern eine Zeile auf die Standardausgabe schreiben. Das voreingestellte Verbindungsfeld ist das erste durch Leerraum begrenzte Feld. Wenn DATEI1 oder DATEI2 (nicht beide) »-« ist, wird die Standardeingabe gelesen.

-a DATEINUMMER
    Zusätzlich nicht passende Zeilen aus der Datei DATEINUMMER ausgeben, wobei DATEINUMMER 1 oder 2 ist, entsprechend DATEI1 oder DATEI2

-e LEER
    Fehlende Eingabefelder durch LEER ersetzen

-i, --ignore-case
    Unterschiede in Groß/Kleinschreibung ignorieren, wenn Felder verglichen werden

-j FELD
    Äquivalent zu »-1 FELD -2 FELD«

-o FORMAT
    FORMAT benutzen, wenn Ausgabezeilen erstellt werden

-t ZEICHEN
    ZEICHEN als Trennzeichen für Ein‐ und Ausgabefelder nehmen

-v DATEINUMMER
    Wie -a DATEINUMMER, unterdrückt allerdings verbundene Ausgabezeilen

-1 FELD
    An diesem FELD von Datei 1 verbinden

-2 FELD
    An diesem FELD von Datei 2 verbinden

--check-order
    Prüfen, ob die Eingabe richtig sortiert ist, auch wenn alle Eingabezeilen gepaart werden können

--nocheck-order
    Nicht prüfen, ob die Eingabe korrekt sortiert ist

--header
    Die erste Zeile in jeder Datei als Feldkopfzeilen betrachten, sie ausgeben ohne vorher zu versuchen, sie paarweise zu verbinden.

-z, --zero-terminated
    Zeilen mit Nullbyte (NUL) beenden, nicht mit Zeilenumbruch

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Sofern nicht -t ZEICHEN angegeben wurde, trennen führende Leerzeichen Felder ab und werden ignoriert, sonst werden Felder durch ZEICHEN abgetrennt. Jedes FELD ist eine Feldnummer, die mit 1 beginnend gezählt wird. FORMAT sind ein oder mehrere durch Komma oder Leerzeichen getrennte Angaben, die jeweils »DATEINUMMER.FELD« oder »0« sind. Standardmäßig gibt FORMAT das verbundene Feld, die verbleibenden Felder aus DATEI1 und die verbleibenden Felder aus DATEI2 aus, alle durch ZEICHEN getrennt. Falls für FORMAT das Schlüsselwort »auto« angegeben wird, legt die erste Zeile jeder Datei die Anzahl der Ausgabefelder für alle folgenden Zeilen fest.

Wichtig: DATEI1 und DATEI2 müssen über die verbundenen Felder sortiert sein. Benutzen Sie z.B. »sort -k 1b,1«, falls »join« keine Optionen hat oder benutzen Sie »join -t«, falls »sort« keine Optionen hat. Beachten Sie, dass Vergleiche die Regeln, die durch »LC_COLLATE« angegeben werden, respektieren. Falls die Eingabe nicht sortiert ist und einige Zeilen nicht verbunden werden können, wird eine Warnung ausgegeben.

Onlinehilfe für GNU coreutils: <http://www.gnu.org/software/coreutils/> Berichten Sie Fehler in der Übersetzung von join an <http://translationproject.org/team/de.html>

AUTOR
Geschrieben von Mike Haertel.

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
comm(1), uniq(1)

Die vollständige Dokumentation für join wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und join auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'join invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org>, Chris Leick <c.leick@vollbio.de>, Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.